%define major 1
%define libname %mklibname gavl %major
%define develname %mklibname gavl -d

Name:           gavl
Version:        1.4.0
Release:        %mkrel 1
Summary:        A library for handling uncompressed audio and video data
Group:          System/Libraries
License:        GPLv2+
URL:            http://gmerlin.sourceforge.net/
Source0:        http://downloads.sourceforge.net/gmerlin/gavl-%{version}.tar.xz
Patch1:         gavl-1.1.1-system_libgdither.patch
Patch2:		gavl-1.4.0-automake-1.13.patch
BuildRequires:  libtool
BuildRequires:  doxygen
BuildRequires:  %{_lib}png-devel
BuildRequires:  %{_lib}gdither-devel

%description
Gavl is a library for handling and converting uncompressed audio and
video data. It provides datatypes for audio/video formats and standardized
structures to store the data. It supports converting between all formats.
Some conversion functions are available in multiple versions (MMX...),
which are selected by compile time configuration, CPU autodetection and
user options.

%package -n     %libname
Summary:        A library for handling uncompressed audio and video data
Group:          System/Libraries

%description -n %libname
Gavl is a library for handling and converting uncompressed audio and
video data. It provides datatypes for audio/video formats and standardized
structures to store the data. It supports converting between all formats.
Some conversion functions are available in multiple versions (MMX...),
which are selected by compile time configuration, CPU autodetection and
user options.

%package -n     %develname
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %develname
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%setup -q
%patch1 -p1 -b .gdither
%patch2 -p1 -b .automake-1_13

# Disable buildtime cpu detection
sed -i -i 's/LQT_TRY_CFLAGS/dnl LQT_TRY_CFLAGS/g' configure.ac
sed -i -i 's/LQT_OPT_CFLAGS/dnl LQT_OPT_CFLAGS/g' configure.ac

%build
# Regenerate build tools
sh autogen.sh

%configure2_5x \
  --disable-static \
  --disable-cpu-clip \
  --enable-libgdither

%make

%install
rm -rf %buildroot
%makeinstall_std mkdir_p="mkdir -p"

# don't ship .la
find %{buildroot} -name '*.la' -delete

# Prevent timestamps build difference
touch -r include/gavl/gavl.h %{buildroot}%{_includedir}/gavl/gavl_version.h

%files -n %libname
%defattr(-,root,root,-)
%doc AUTHORS README TODO
%{_libdir}/*.so.%{major}*

%files -n %develname
%defattr(-,root,root,-)
%doc %{_docdir}/gavl/apiref/
%{_includedir}/gavl/
%{_libdir}/*.so
%{_libdir}/pkgconfig/gavl.pc

%clean
rm -rf %buildroot


%changelog
* Mon Aug 18 2014 bb <bb> 1.4.0-1pclos2014
- update

* Tue Jan 18 2011 Texstar <texstar at gmail.com> 1.2.0-1pclos2011
- 1.2.0

* Fri Sep 17 2010 Texstar <texstar at gmail.com> 1.1.2-1pclos2010
- new verison 1.1.2

